import {
  select,
  path
} from 'd3';

//----------------------------------------------------------------
//----------------------------------------------------------------
const svg = select('body').append('svg');
svg.attr('width', 960)
   .attr('height', 800)
const width = +svg.attr('width');
const height = +svg.attr('height');
console.log(width)

const rectWidth = 200;
const rectHeight = 200;
const [rx,ry] = [30,30];
const posRectX = width/4;
const posRectY = height/8;
const textPosX = posRectX+rectWidth/4;
const textPosY = posRectY+rectHeight/3;

//-------------------------------------------------------------------

const g = svg.append('g')
g.attr('transform', 'translate(0,00)')
g.append('rect')
  .attr('width', rectWidth)
  .attr('height', rectHeight)
  .attr('x', posRectX)
  .attr('y', posRectY)
  .attr('rx',rx)
  .attr('ry',ry)
  .attr('class', 'square')


const textG = g.append('g')
textG.attr('transform', 'translate(-20,4)')
textG.append('text')
   .attr('x', textPosX)
   .attr('y', textPosY+20)
   .text('V z') 
   .attr('class', 'text1')

textG.append('text')
   .attr('x',textPosX+4)
   .attr('y', textPosY+100)
   .text('Hub') 
   .attr('class', 'text2')

const smallRad = 3
const textIG = textG.append('g')
textIG.attr('transform', 'translate(10,0)')
const circleG = textIG.append('g')
  

circleG.append('circle')
  .attr('r', 0)
.transition().duration(1500)
  .attr('r', 8)
  .attr('class', 'circle')
  .attr('cx',textPosX+68)
  .attr('cy', textPosY-40)
  .attr('fill', 'white')
 

circleG.append('circle')
  .attr('r', 0)
.transition().delay(500).duration(1000)
  .attr('r', smallRad)
  .attr('class', 'circle')
  .attr('cx',textPosX+68)
  .attr('cy', textPosY-56)
  .attr('fill', 'white')
 
circleG.append('circle')
  .attr('r', 0)
.transition().delay(800).duration(1000)
  .attr('r', smallRad)
  .attr('class', 'circle')
  .attr('cx',textPosX+ 55)
  .attr('cy', textPosY-48)
  .attr('fill', 'white')

circleG.append('circle')
  .attr('r', 0)
.transition().delay(1000).duration(1000) 
  .attr('r',smallRad)
  .attr('class', 'circle')
  .attr('cx',textPosX+ 80)
  .attr('cy', textPosY-48)
  .attr('fill', 'white')

textIG.append('rect')
  .attr('width', 9)
  .attr('height', 45)
  .attr('x', textPosX+64)
  .attr('y', textPosY-26)
  .attr('rx',0)
  .attr('ry',70)
  .attr('class', 'i')
  .attr('fill', 'white')
  
//----------------------------------------------------------




















